Package Details: gnumeric-minimal 1.12.48-1

Git Clone URL: https://aur.archlinux.org/gnumeric-minimal.git (read-only, click to copy)
Package Base: gnumeric-minimal
Description: A GNOME-less spreadsheet program
Upstream URL: http://www.gnome.org/projects/gnumeric/
Licenses: GPL
Conflicts: gnumeric
Provides: gnumeric
Submitter: None
Maintainer: haawda
Last Packager: haawda
Votes: 8
Popularity: 0.000001
First Submitted: 2012-01-19 12:08
Last Updated: 2020-08-13 17:07

Dependencies (4)

Required by (5)

Sources (2)

Latest Comments

1 2 Next › Last »

fungalnet commented on 2020-09-01 12:33

Thank you it worked perfectly

haawda commented on 2020-09-01 11:41

Try this PKGBUILD to build goffice 0.10.48. It works for me, but is not allowed to be uploaded to AUR, as it would be a duplicate.

# Maintainer: Jan de Groot <jgc@archlinux.org>
# Contributor: Aaron Griffin <aaron@archlinux.org>

pkgname=goffice
pkgver=0.10.48
pkgrel=1
pkgdesc="A GLib/GTK+ set of document-centric objects and charting library"
url="https://git.gnome.org/browse/goffice"
arch=(x86_64)
license=(GPL)
depends=(librsvg gtk3 libgsf libspectre libxslt lasem)
makedepends=(intltool gtk-doc gobject-introspection autoconf-archive git)
_commit=f3f7d440 # tags/GOFFICE_0_10_48^0
source=("git+https://gitlab.gnome.org/GNOME/goffice.git#commit=$_commit")
sha256sums=('SKIP')

pkgver() {
  cd $pkgname
  git describe --tags | sed 's/^GOFFICE_//;s/_/./g;s/-/+/g'
}

prepare() {
  cd $pkgname
  NOCONFIGURE=1 ./autogen.sh
}

build() {
  cd $pkgname
  ./configure --prefix=/usr --sysconfdir=/etc \
      --localstatedir=/var --disable-static --enable-introspection --enable-gtk-doc

  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
  make
}

package() {
  cd $pkgname
  make DESTDIR="${pkgdir}" install
}

fungalnet commented on 2020-08-31 19:21

Even if you edit the pkgbuild to build on goffice 10.47 it is looking for items that don't exist in 10.47 /usr/bin/ld: ./.libs/libspreadsheet.so: undefined reference to goc_group_get_children' /usr/bin/ld: ./.libs/libspreadsheet.so: undefined reference togoc_group_freeze' /usr/bin/ld: ./.libs/libspreadsheet.so: undefined reference to `goc_group_get_child'

Upstream goffice seems abandoned

fungalnet commented on 2020-08-31 18:42

It is now asking for goffice 0.10.48 which is not yet available through arch or aur.

fungalnet commented on 2019-11-20 08:08

Upgrading to 1.12.46-1 needs yelp-tools which is not listed as a build dependency as it should, I think.

The error was:

./configure: line 14728: syntax error near unexpected token `no-lc-dist'

./configure: line 14728: `YELP_HELP_INIT(no-lc-dist)'

haawda commented on 2018-08-21 19:54

1.12.43 needs goffice 0.10.43, which is not yet in [extra], but easily buildable.

Use asp to get the offocial PKGBUILD, change

pkgver=0.10.43

and

_commit=a62e897 # tags/GOFFICE_0_10_43

and run makepkg.

runical commented on 2017-02-02 15:50

Version 1.12.33 needs itstool added to makedepends for it to build.

haawda commented on 2015-03-06 18:24

for 1.12.21 you will need libgsf withe the same version number from ABS.

haawda commented on 2015-01-23 20:54

see http://hastebin.com/erumamanac for a working and needed PKGBUILD for goffice-light.

Unia commented on 2012-11-28 16:02

Disowning. I've switched back to Libreoffice.